| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.seq Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.seq:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.seq:
[legend]

## Public Member Functions
def | __init__ (self, item)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| item

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

Definition at line 167 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.seq.__init__ | ( |  | self,
|  |  | item
| ) |  |

Definition at line 168 of file ControlFlow.py.

168 def __init__(self, item):
169 self.item = item
170
GaudiConfig.ControlFlow.seq.item
item
Definition: ControlFlow.py:169
GaudiConfig.ControlFlow.seq.__init__
def __init__(self, item)
Definition: ControlFlow.py:168

## Member Function Documentation

def GaudiConfig.ControlFlow.seq.__repr__ | ( |  | self | ) |

Definition at line 171 of file ControlFlow.py.

171 def __repr__(self):
172 return "seq(%r)" % self.item
173
GaudiConfig.ControlFlow.seq.item
item
Definition: ControlFlow.py:169
GaudiConfig.ControlFlow.seq.__repr__
def __repr__(self)
Definition: ControlFlow.py:171

def GaudiConfig.ControlFlow.seq._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 174 of file ControlFlow.py.

174 def _visitSubNodes(self, visitor):
175 self.item.visitNode(visitor)
176
177
GaudiConfig.ControlFlow.seq._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:174

## Member Data Documentation

GaudiConfig.ControlFlow.seq.item

Definition at line 169 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py